> For the complete documentation index, see [llms.txt](https://comet-3.gitbook.io/comet-sdk/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://comet-3.gitbook.io/comet-sdk/reference.md).

# Reference

- [Comet SDK Reference](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference.md)
- [Comet REST API](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-rest-api.md): A suite of API endpoints that simplify the Solana NFT ecosystem.
- [Collections](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-rest-api/collections.md): Launch and monitor NFT collections and their owners.
- [Airdrops](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-rest-api/airdrops.md)
- [Gallery](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-rest-api/gallery.md): View a user's gallery without talking to an RPC node.
- [Usage](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-rest-api/usage.md): Get your API usage history.
- [Comet React SDK](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk.md): Drop-in React components that make Web3 integration easy
- [Getting started](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk/getting-started.md)
- [Components](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk/components.md): React components you can drop into your web app with 1 line of code.
- [Hooks](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk/hooks.md): React hooks allow for more customizable Web3 experiences with the Comet SDK.
- [useAccount](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk/hooks/useaccount.md): Get the current logged-in user's account.
- [useMint](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk/hooks/usemint.md): Start the process of minting a token.
- [useSignMessage](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk/hooks/usesignmessage.md): Sign any message with your customers' Comet wallet.
- [useSignTransaction](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk/hooks/usesigntransaction.md): Sign a Solana transaction with your customers' Comet wallet.
- [useGetSharedSecret](https://comet-3.gitbook.io/comet-sdk/reference/comet-sdk-reference/comet-react-sdk/hooks/usegetsharedsecret.md): Generate a shared secret using Elliptic Curve Diffie-Hellman key exchange with your customers' Comet wallet.


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter, and the optional `goal` query parameter:

```
GET https://comet-3.gitbook.io/comet-sdk/reference.md?ask=<question>&goal=<endgoal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is optional and describes the broader end goal you are ultimately trying to accomplish on behalf of the user. GitBook uses it to tailor the answer towards what is most useful for that goal.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
